Zum Hauptinhalt springen
PUT
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
/
timetables
Create or update campaign timetables (dayparting).
curl --request PUT \
  --url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/timetables \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "timetables": [
    {
      "isActive": true,
      "startHour": 0,
      "endHour": 24
    }
  ]
}
'
{
  "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timetables": [
    {
      "isActive": true,
      "updatedAt": "2023-11-07T05:31:56Z",
      "startHour": 0,
      "endHour": 24
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.topsort.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Pfadparameter

campaign-id
string<uuid>
erforderlich

The ID of the campaign.

Abfrageparameter

vendor_id
string
erforderlich

The ID of the vendor.

Minimum string length: 1

Body

application/json
timetables
CampaignTimeTable · object[]
erforderlich

The schedule for the campaign.

Required array length: 1 - 7 elements

Antwort

Successful Response

The schedule for the campaign.

campaignId
string<uuid>
erforderlich

The ID of the campaign.

timetables
CampaignTimeTableResponse · object[]
erforderlich

The schedule for the campaign.